
 
import java.util.Scanner;
 
 
 
class Main {
    
    public static void main(String[] args) {
        Scanner scan = new Scanner(System.in);
        
        int ax1 = Integer.parseInt(scan.nextLine().trim());
        int ay1 = Integer.parseInt(scan.nextLine().trim()); 
        int ax2 = Integer.parseInt(scan.nextLine().trim());
        int ay2 = Integer.parseInt(scan.nextLine().trim());
          
        int bx1 = Integer.parseInt(scan.nextLine().trim());
        int by1 = Integer.parseInt(scan.nextLine().trim()); 
        int bx2 = Integer.parseInt(scan.nextLine().trim());
        int by2 = Integer.parseInt(scan.nextLine().trim());
        
        scan.close();
        
        int result = solution(ax1, ay1, ax2, ay2, bx1, by1, bx2, by2);
        
        System.out.println(result);
    }
 

    public static int solution(int ax1, int ay1, int ax2, int ay2, int bx1, int by1, int bx2, int by2) {
        int area1 = (ax2 - ax1) * (ay2 - ay1), area2 = (bx2 - bx1) * (by2 - by1);
        int overlapWidth = Math.min(ax2, bx2) - Math.max(ax1, bx1), overlapHeight = Math.min(ay2, by2) - Math.max(ay1, by1);
        int overlapArea = Math.max(overlapWidth, 0) * Math.max(overlapHeight, 0);
        return area1 + area2 - overlapArea;
    }
}
